// MgNetSys.h
/*! \file MgNetSys.h
	This file includes all the system specific definitions. This was all from SDLnetsys.h
*/

// Normal headers
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>

// do we want to support the hated Mac????????
#ifdef macintosh
#ifndef USE_GUSI_SOCKETS
#define MACOS_OPENTRANSPORT
#error Open Transport driver is broken.
#endif // USE_GUSI_SOCKETS
#endif // macintosh

// include system network headers
#ifdef MACOS_OPENTRANSPORT
# include <OpenTransport.h>
# include <OpenTptInternet.h>
#else
# if defined(__WIN32__) || defined(WIN32)	// 2 defs for Windows? Wow it must really suck :-P
#  define Win32_Winsock
#  include <windows.h>
# else
#  include <sys/time.h>
#  include <unistd.h>
#  include <fcntl.h>
#  ifndef __BEOS__
#   include <arpa/inet.h>
#  endif
#  include <netinet/in.h>
#  ifdef linux
#   include <netinet/tcp.h>
#  endif
#  include <netdb.h>
#  include <sys/socket.h>
# endif
#endif

// system dependent definitions
#ifdef MACOS_OPENTRANSPORT
# define closesocket 	OTCloseProvider
# define SOCKET			EndpointRef
# define INVALID_SOCKET	kOTInvalidEndpointRef
#else
# ifndef Win32_Winsock
#  define closesocket close
#  define SOCKET int
#  define INVALID_SOCKET -1
#  define SOCKET_ERROR -1
# endif
#endif
