// MgTk.h
//-----------------------------------------------------------------------------
/*
    libMgTk - Mage Toolkit
    Copyright (C) 2001 Vitaliy Mikitchenko (Mage Productions)

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Vitaliy Mikitchenko
    webmaster@magep.cjb.net
*/

/*! \mainpage libMgTk Documentation
	
	\section intro Introduction
	
	Thank you for your interest in libMgTk. This library has been going through a major
	rewrite for a while now, and is more powerful then ever! It is about 99% complete at
	this time. The only things left to do is finish documenting all the code and writing
	up some examples to demonstrate the many new features it has acquired.
	<B>NOTE:</B> SDL 1.2.2 or greater is required for libMgTk! Anything less, and the
	library will not work! This is due to the new features of SDL used in libMgTk.
	
	\section work_in_progress Work In Progress
	
	libMgTk is a work in progress. Even when it will be in a 100% finished state, I will
	continue working on it by adding more classes and adding more features to existent
	classes. A utility library for libMgTk is in progress as well. It will include stack,
	queue and list classes, as well as many others.
	
	\section challenge_to_developers Challenge to Developers.
	
	I am issuing a challenge to any developer(s) that are willing to accept it: libMgTk
	needs to have a GUI library that will run on Linux, Windows and BeOS associated with
	it. I believe that I have provided a great framework for such a library with libMgTk.
	If you are interested, feel free to contact me at vitaliy@magep.cjb.net.
	
	\section contrib Contributions by Other Developers
	
	I would like to thank the following people:<p>
	
	<table cellpadding="3" cellspacing="0" border="0">
	<tr> 
		<td>Matt Newell</td><td>For showing me an example of how to generate code
								for four different bit-depths using the same function
								for all four. This idea was used by me.</td>
	</tr>
	<tr>
		<td>Sylvain Hellegouarch</td><td>For contributing the networking code used to
										write MgUDPNet, MgTCPNet and MgNet!</td>
	</tr>
	</table>
*/
#ifndef MGTK_H
#define MGTK_H

#include "MgApp.h"
#include "MgAudioSystem.h"
#include "MgBaseNet.h"
#include "MgCDROM.h"
#include "MgColor.h"
#include "MgEventFilter.h"
#include "MgGLScreen.h"
#include "MgInit.h"
#include "MgFont.h"
#include "MgImage.h"
#include "MgJoystick.h"
#include "MgJoystickSystem.h"
#include "MgKeyboard.h"
#include "MgMixer.h"
#include "MgMouse.h"
#include "MgMutex.h"
#include "MgNet.h"
#include "MgNetSystem.h"
#include "MgPainter.h"
#include "MgPalette.h"
#include "MgPixelFormat.h"
#include "MgPoint.h"
#include "MgRect.h"
#include "MgScreen.h"
#include "MgSound.h"
#include "MgStopWatch.h"
#include "MgSubSystem.h"
#include "MgSurface.h"
#include "MgTCPNet.h"
#include "MgThread.h"
#include "MgTimer.h"
#include "MgTimerSystem.h"
#include "MgUDPNet.h"
#include "MgVersion.h"
#include "MgVertex.h"
#include "MgVideoSystem.h"
#include "MgWave.h"

#endif

