// MgJoystickSystem.cpp
//-----------------------------------------------------------------------------
/*
    libMgTk - Mage Toolkit
    Copyright (C) 2001 Vitaliy Mikitchenko (Mage Productions)

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Vitaliy Mikitchenko
    webmaster@magep.cjb.net
*/
#include "MgJoystickSystem.h"
#include "MgApp.h"

MgJoystickSystem::MgJoystickSystem()
{
}


MgJoystickSystem::~MgJoystickSystem()
{
}

bool 
MgJoystickSystem::IsRunning() const
{
	return (SDL_WasInit(MG_JOYSTICK) == MG_JOYSTICK) ? true : false;
}

bool 
MgJoystickSystem::Init()
{
	bool ret = true;
	
	if (!IsRunning())
		ret = (SDL_InitSubSystem(MG_JOYSTICK) == 0) ? true : false;
	
	return ret;
}

void 
MgJoystickSystem::Quit()
{
	if (IsRunning())
		SDL_QuitSubSystem(MG_JOYSTICK);
}

