// MgDraw_pixel.h
//-----------------------------------------------------------------------------
/*
    libMgTk - Mage Toolkit
    Copyright (C) 2001 Vitaliy Mikitchenko (Mage Productions)

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Vitaliy Mikitchenko
    webmaster@magep.cjb.net
*/

#ifdef DO_FUNCS

#if defined(MGDRAW_8_BIT)
#define _GetPixel GetPixel8
#define _PutPixel PutPixel8
#elif defined(MGDRAW_16_BIT)
#define _GetPixel GetPixel16
#define _PutPixel PutPixel16
#elif defined(MGDRAW_24_BIT)
#define _GetPixel GetPixel24
#define _PutPixel PutPixel24
#elif defined(MGDRAW_32_BIT)
#define _GetPixel GetPixel32
#define _PutPixel PutPixel32
#endif

Uint32
_GetPixel(SDL_Surface * sur, int x, int y)
{
	return GetPixel(sur, x, y);
}

void
_PutPixel(SDL_Surface * sur, int x, int y, Uint32 col)
{
	PutPixel(sur, x, y, col);
}

void
_PutPixel(SDL_Surface * sur, int x, int y, MgColor & col)
{
	PutPixel(sur, x, y, col);
}

#endif
