// MgStopWatch.cpp
#include "MgStopWatch.h"

#include <SDL_timer.h>
#include <string.h>
#include <stdio.h>

MgStopWatch::MgStopWatch(const char *name, bool silent)
{
	if (name)
	{
		fName = new char[strlen(name) + 1];
		strcpy(fName, name);
	}
	else
	{
		fName = NULL;
	}
	
	fSilent = silent;
	fStart = SDL_GetTicks();
	fStop = 0;
}


MgStopWatch::~MgStopWatch()
{
	if (!fStop)
		fStop = SDL_GetTicks();
	if (!fSilent)
	{
		printf("Stopwatch \"%s\": %d milliseconds (%.3f seconds)\t\t[Start = %d, Stop = %d]\n",
				(fName == NULL) ? "no name" : fName, fStop - fStart,
				(float)(((float)fStop - (float)fStart) / 1000.0), fStart, fStop);
	}
	delete fName;
}

void 
MgStopWatch::Stop()
{
	if (!fStop)
		fStop = SDL_GetTicks();
}

Uint32 
MgStopWatch::ElapsedTime() const
{
	return (fStop == 0) ? (SDL_GetTicks() - fStart) : (fStop - fStart);
}

const char *
MgStopWatch::Name() const
{
	return fName;
}

