// MgVersion.cpp
//-----------------------------------------------------------------------------
/*
    libMgTk - Mage Toolkit
    Copyright (C) 2001 Vitaliy Mikitchenko (Mage Productions)

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Vitaliy Mikitchenko
    webmaster@magep.cjb.net
*/

#include "MgVersion.h"
#include "debug_new.h"

#include <stdio.h>

MgVersion::MgVersion(Uint8 m, Uint8 n, Uint8 p)
{
	fMajor = m;
	fMinor = n;
	fPatch = p;
	sprintf(fVer, "%d.%d.%d", m, n, p);
}


MgVersion::~MgVersion()
{
}

Uint8 
MgVersion::Major() const
{
	return fMajor;
}

Uint8 
MgVersion::Minor() const
{
	return fMinor;
}

Uint8 
MgVersion::Patch() const
{
	return fPatch;
}

const char *
MgVersion::VersionString() const
{
	return fVer;
}

Uint32 
MgVersion::VersionNum() const
{
	return (fMajor * 1000) + (fMinor * 100) + fPatch;
}

/*! You must free the returned value yourself. */
MgVersion *
MgVersion::Linked()
{
	return new MgVersion();
}

