// MgTimer.cpp
//-----------------------------------------------------------------------------
/*
    libMgTk - Mage Toolkit
    Copyright (C) 2001 Vitaliy Mikitchenko (Mage Productions)

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Vitaliy Mikitchenko
    webmaster@magep.cjb.net
*/

#include "MgTimer.h"
#include "debug_new.h"

/*! \param data The data pointer that will be passed to Callback().
	\param interval The interval of the timer.
*/
MgTimer::MgTimer(void * data, Uint32 interval)
{
	fTimerID = NULL;
	fInterval = interval;
	fData = data;
}

/*! Does nothing. WARNING: Do not delete the timer before calling
	MgTimerSystem::RemoveTimer()! Doing so will crash the program
	on the next timer callback.
*/
MgTimer::~MgTimer()
{
}

/*! Override this method and return the new interval at which you want this
	timer to run at. Or return zero to remove the timer. The default just
	returns the value passed in the constructor.
*/
Uint32 
MgTimer::Interval() const
{
	return fInterval;
}

/*! \param data The data pointer passed to the constructor. */
void 
MgTimer::Callback(void * data)
{
}

